Bug 60403 - rpm db corrupted after gcc upgrade
rpm db corrupted after gcc upgrade
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
http://www.dumpville.org/rpmdb/rpmdb....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-27 08:55 EST by Victor Ward
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-27 09:40:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Ward 2002-02-27 08:55:20 EST
Description of Problem:

After upgrading gcc to version 3.1, I had a db3 error (DB->VERIFY FAILED
end the rpm-db seems corrupted ever since. (When I do a rp -qa, it starts 
rolling, then gives me error: rpmdb: damaged header instance #431 
retrieved, skipping. and segment faults after that.

Version-Release number of selected component (if applicable):
rpm 4.0.4

How Reproducible:

any rpm command...

Steps to Reproduce:
1. rpm -qa
2. rpm --rebuilddb
3. 

Actual Results:

error: rpmdb: damaged header instance #431 retrieved, skipping.

Expected Results:

rpm listing

Additional Information:
	
you can find the rpmdb on the URL mentionned above.
Comment 1 Jeff Johnson 2002-02-28 19:49:49 EST
Instance #538 (libgcj-devel? I fergit) was bad.
I deleted, and put a fixed version of your
/var/lib/rpm/Packages file at
	ftp://people.redhat.com/jbj/rpmdb-60403-FIX.tar.gz
Download and install by doing (as root)
	cd /var/lib/rpm
	mv Packages Packages-BAD
	tar xzvf rpmdb-60403-FIX.tar.gz
	rm -f __db*
	rpm --rebuilddb -vv
You'll want to reinstall the libgcj-devel package as well.

Note You need to log in before you can comment on or make changes to this bug.